using System;
class HelloWorld 
{
    static void Main() 
    {
        string[] s = Console.ReadLine().Split(' ');
        long n = long.Parse(s[0]);
        long m = long.Parse(s[1]);
        
        long r = n/2;
        if(n%2 == 0)
        {
            r--;
        }
        
        long x = (m-1)/2;
        
        if(m%2 != 0)
            Console.WriteLine(n*m - ((r*x) + (n-2-r)*(x-1)));
        else
            Console.WriteLine(n*m - ((r*x) + (n-2-r)*x));
    }
}